| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleLODAlgo Class Reference
[Geometry utilities]

Algorithm class that calculates the cost of a vertex. More...

`#include <csgeom/trimeshlod.h>`

Inheritance diagram for csTriangleLODAlgo:

[legend]
List of all members.

## Public Member Functions
virtual void | CalculateCost (csTriangleVerticesCost *vertices, csTriangleVertexCost *vertex)=0
| Calculate the minimal cost of collapsing this vertex to some other.
virtual | ~csTriangleLODAlgo ()

## Detailed Description

Algorithm class that calculates the cost of a vertex.

Definition at line 64 of file trimeshlod.h.

## Member Function Documentation

virtual void csTriangleLODAlgo::CalculateCost | ( | csTriangleVerticesCost * | vertices,
|  | csTriangleVertexCost * | vertex |
| ) |  |  | `[pure virtual]`

Calculate the minimal cost of collapsing this vertex to some other.

Also remember which other vertex was selected for collapsing to.

Implemented in csTriangleLODAlgoEdge.

The documentation for this class was generated from the following file:

- csgeom/trimeshlod.h